<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.39
Name: XeH Care Team Section
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.39-2021-10-19T093503">
   <title>XeH Care Team Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.39
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.39']]]
Item: (XeHCareTeamSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.39
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.39']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.39']]
Item: (XeHCareTeamSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.39']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.39']]"
         id="d42e32909-false-d369452e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.39-2021-10-19T093503.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.39']) &gt;= 1">(XeHCareTeamSection): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.39'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.39-2021-10-19T093503.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.39']) &lt;= 1">(XeHCareTeamSection): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.39'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.39-2021-10-19T093503.html"
              test="count(hl7:id[not(@nullFlavor)]) &gt;= 1">(XeHCareTeamSection): element hl7:id[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.39-2021-10-19T093503.html"
              test="count(hl7:id[not(@nullFlavor)]) &lt;= 1">(XeHCareTeamSection): element hl7:id[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.39-2021-10-19T093503.html"
              test="count(hl7:code[(@code = '85847-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(XeHCareTeamSection): element hl7:code[(@code = '85847-2' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.39-2021-10-19T093503.html"
              test="count(hl7:code[(@code = '85847-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(XeHCareTeamSection): element hl7:code[(@code = '85847-2' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.39-2021-10-19T093503.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(XeHCareTeamSection): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.39-2021-10-19T093503.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(XeHCareTeamSection): element hl7:text[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.39-2021-10-19T093503.html"
              test="count(hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]) &gt;= 1">(XeHCareTeamSection): element hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.39
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.39']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.39']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.39']
Item: (XeHCareTeamSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.39']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.39']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.39']"
         id="d42e32911-false-d369505e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.39-2021-10-19T093503.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHCareTeamSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.39-2021-10-19T093503.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.39')">(XeHCareTeamSection): The value for root SHALL be '2.16.840.1.113883.2.51.10.39'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.39
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.39']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.39']]/hl7:id[not(@nullFlavor)]
Item: (XeHCareTeamSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.39']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.39']]/hl7:id[not(@nullFlavor)]"
         id="d42e32916-false-d369519e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.39-2021-10-19T093503.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHCareTeamSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.39
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.39']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.39']]/hl7:code[(@code = '85847-2' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (XeHCareTeamSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.39']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.39']]/hl7:code[(@code = '85847-2' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e32918-false-d369530e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.39-2021-10-19T093503.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(XeHCareTeamSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.39-2021-10-19T093503.html"
              test="@nullFlavor or (@code='85847-2' and @codeSystem='2.16.840.1.113883.6.1')">(XeHCareTeamSection): The element value SHALL be one of 'code '85847-2' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.39
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.39']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.39']]/hl7:text[not(@nullFlavor)]
Item: (XeHCareTeamSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.39']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.39']]/hl7:text[not(@nullFlavor)]"
         id="d42e32923-false-d369546e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.39-2021-10-19T093503.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(XeHCareTeamSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.39
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.39']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.39']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]
Item: (XeHCareTeamSection)
--></pattern>
