<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.48
Name: XeH Ordering Provider
Description: XeH Ordering Provider
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.48-2021-11-29T173633">
   <title>XeH Ordering Provider</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.48
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]
Item: (XeHOrderingProvider)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.48
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]
Item: (XeHOrderingProvider)
-->

   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]"
         id="d42e34802-false-d391909e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="string(@typeCode) = ('REF')">(XeHOrderingProvider): The value for typeCode SHALL be 'REF'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6']) &gt;= 1">(XeHOrderingProvider): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6']) &lt;= 1">(XeHOrderingProvider): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']) &gt;= 1">(XeHOrderingProvider): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']) &lt;= 1">(XeHOrderingProvider): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="count(hl7:time) &gt;= 1">(XeHOrderingProvider): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="count(hl7:time) &lt;= 1">(XeHOrderingProvider): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="count(hl7:associatedEntity) &gt;= 1">(XeHOrderingProvider): element hl7:associatedEntity is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="count(hl7:associatedEntity) &lt;= 1">(XeHOrderingProvider): element hl7:associatedEntity appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.48
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6']
Item: (XeHOrderingProvider)
-->

   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6']"
         id="d42e34809-false-d391968e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHOrderingProvider): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.3.3.1.6')">(XeHOrderingProvider): The value for root SHALL be '1.3.6.1.4.1.19376.1.3.3.1.6'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.48
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']
Item: (XeHOrderingProvider)
-->

   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']"
         id="d42e34814-false-d391983e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHOrderingProvider): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.48')">(XeHOrderingProvider): The value for root SHALL be '2.16.840.1.113883.2.51.10.48'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.48
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:time
Item: (XeHOrderingProvider)
-->

   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:time"
         id="d42e34819-false-d391997e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(XeHOrderingProvider): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.48
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity
Item: (XeHOrderingProvider)
-->

   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity"
         id="d42e34826-false-d392021e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="count(hl7:addr) &gt;= 1">(XeHOrderingProvider): element hl7:addr is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="count(hl7:telecom) &gt;= 1">(XeHOrderingProvider): element hl7:telecom is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="count(hl7:associatedPerson) &lt;= 1">(XeHOrderingProvider): element hl7:associatedPerson appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="count(hl7:scopingOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']) &lt;= 1">(XeHOrderingProvider): element hl7:scopingOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE'] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.48
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:addr
Item: (XeHOrderingProvider)
-->

   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:addr"
         id="d42e34828-false-d392065e0">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(XeHOrderingProvider): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.48
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:telecom
Item: (XeHOrderingProvider)
-->

   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:telecom"
         id="d42e34834-false-d392075e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(XeHOrderingProvider): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.48
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:associatedPerson
Item: (XeHOrderingProvider)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.73
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:associatedPerson
Item: (XeHCDAPerson)
-->
   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:associatedPerson">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.73-2022-05-29T101516.html"
              test="string(@classCode) = ('PSN') or not(@classCode)">(XeHCDAPerson): The value for classCode SHALL be 'PSN'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.73-2022-05-29T101516.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(XeHCDAPerson): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.73-2022-05-29T101516.html"
              test="count(hl7:name) &gt;= 1">(XeHCDAPerson): element hl7:name is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.73
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:associatedPerson/hl7:name
Item: (XeHCDAPerson)
-->
   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:associatedPerson/hl7:name">
      <extends rule="PN"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.73-2022-05-29T101516.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PN')">(XeHCDAPerson): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.48
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:scopingOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']
Item: (XeHOrderingProvider)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.1
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:scopingOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']
Item: (IPSCDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:scopingOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="string(@classCode) = ('ORG')">(IPSCDAOrganization): The value for classCode SHALL be 'ORG'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="string(@determinerCode) = ('INSTANCE')">(IPSCDAOrganization): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="count(hl7:id) &gt;= 1">(IPSCDAOrganization): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="count(hl7:name) &gt;= 1">(IPSCDAOrganization): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="count(hl7:name) &lt;= 1">(IPSCDAOrganization): element hl7:name appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="count(hl7:telecom) &gt;= 1">(IPSCDAOrganization): element hl7:telecom is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="count(hl7:addr) &gt;= 1">(IPSCDAOrganization): element hl7:addr is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="count(hl7:addr) &lt;= 1">(IPSCDAOrganization): element hl7:addr appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.1
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:scopingOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:id
Item: (IPSCDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:scopingOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSCDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor) &gt; 0 and not(matches(@nullFlavor,'\s')))">(IPSCDAOrganization): Attribute @nullFlavor SHALL be of data type 'cs'  - '<value-of select="@nullFlavor"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.1
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:scopingOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:name
Item: (IPSCDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:scopingOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:name">
      <extends rule="ON"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ON')">(IPSCDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor) &gt; 0 and not(matches(@nullFlavor,'\s')))">(IPSCDAOrganization): Attribute @nullFlavor SHALL be of data type 'cs'  - '<value-of select="@nullFlavor"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.1
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:scopingOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:telecom
Item: (IPSCDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:scopingOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(IPSCDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="@use">(IPSCDAOrganization): attribute @use SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@use),'\s'))"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="not(@use) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.201-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(IPSCDAOrganization): The value for use SHALL be selected from value set '2.16.840.1.113883.1.11.201' TelecommunicationAddressUse (DYNAMIC).</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor) &gt; 0 and not(matches(@nullFlavor,'\s')))">(IPSCDAOrganization): Attribute @nullFlavor SHALL be of data type 'cs'  - '<value-of select="@nullFlavor"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.1
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:scopingOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr
Item: (IPSCDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:scopingOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr">
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@use),'\s'))"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="not(@use) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.10637-2005-05-01T000000.xml')/*/valueSet/conceptList/concept/@code))])">(IPSCDAOrganization): The value for use SHALL be selected from value set '2.16.840.1.113883.1.11.10637' PostalAddressUse (2005-05-01T00:00:00).</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="string(@nullFlavor) = ('NI') or not(@nullFlavor)">(IPSCDAOrganization): The value for nullFlavor SHALL be 'NI'. Found: "<value-of select="@nullFlavor"/>"</assert>
      <extends rule="AD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(IPSCDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="count(hl7:city) &lt;= 1">(IPSCDAOrganization): element hl7:city appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="count(hl7:postalCode) &lt;= 1">(IPSCDAOrganization): element hl7:postalCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="count(hl7:state) &lt;= 1">(IPSCDAOrganization): element hl7:state appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="count(hl7:country) &lt;= 1">(IPSCDAOrganization): element hl7:country appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="@nullFlavor or hl7:*">(IPSCDAOrganization): If addr is not nullflavored at least one sub element has to be provided</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="hl7:streetAddressLine and (hl7:city or hl7:postalCode)">(IPSCDAOrganization): If the address line is included either the city or the zip code has to be provided</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.11
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:scopingOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr/hl7:streetAddressLine
Item: (IPSAddress)
-->
   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:scopingOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr/hl7:streetAddressLine">
      <extends rule="ADXP"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.11-2018-04-04T154136.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ADXP')">(IPSAddress): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ADXP". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.11
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:scopingOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr/hl7:city
Item: (IPSAddress)
-->
   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:scopingOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr/hl7:city">
      <extends rule="ADXP"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.11-2018-04-04T154136.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ADXP')">(IPSAddress): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ADXP". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.11
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:scopingOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr/hl7:postalCode
Item: (IPSAddress)
-->
   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:scopingOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr/hl7:postalCode">
      <extends rule="ADXP"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.11-2018-04-04T154136.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ADXP')">(IPSAddress): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ADXP". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.11
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:scopingOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr/hl7:state
Item: (IPSAddress)
-->
   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:scopingOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr/hl7:state">
      <extends rule="ADXP"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.11-2018-04-04T154136.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ADXP')">(IPSAddress): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ADXP". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.11
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:scopingOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr/hl7:country
Item: (IPSAddress)
-->
   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:scopingOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr/hl7:country">
      <extends rule="ADXP"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.11-2018-04-04T154136.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ADXP')">(IPSAddress): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ADXP". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
