<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.58
Name: XeH Annotation Comment
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.58-2022-03-03T112450">
   <title>XeH Annotation Comment</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.58
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']]]
Item: (XeHAnnotationComment)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']]]"
         id="d42e36966-false-d400612e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.58-2022-03-03T112450.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']]) &gt;= 1">(XeHAnnotationComment): element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.58-2022-03-03T112450.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']]) &lt;= 1">(XeHAnnotationComment): element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.58
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']]
Item: (XeHAnnotationComment)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']]"
         id="d42e36974-false-d400633e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.58-2022-03-03T112450.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']) &gt;= 1">(XeHAnnotationComment): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.58-2022-03-03T112450.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']) &lt;= 1">(XeHAnnotationComment): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.58-2022-03-03T112450.html"
              test="count(hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(XeHAnnotationComment): element hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.58-2022-03-03T112450.html"
              test="count(hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(XeHAnnotationComment): element hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.58-2022-03-03T112450.html"
              test="count(hl7:title) &gt;= 1">(XeHAnnotationComment): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.58-2022-03-03T112450.html"
              test="count(hl7:title) &lt;= 1">(XeHAnnotationComment): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.58-2022-03-03T112450.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(XeHAnnotationComment): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.58-2022-03-03T112450.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(XeHAnnotationComment): element hl7:text[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.58
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']
Item: (XeHAnnotationComment)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']"
         id="d42e36976-false-d400683e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.58-2022-03-03T112450.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHAnnotationComment): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.58-2022-03-03T112450.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.58')">(XeHAnnotationComment): The value for root SHALL be '2.16.840.1.113883.2.51.10.58'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.58
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']]/hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (XeHAnnotationComment)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']]/hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e36981-false-d400698e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.58-2022-03-03T112450.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(XeHAnnotationComment): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.58-2022-03-03T112450.html"
              test="string(@code) = ('48767-8')">(XeHAnnotationComment): The value for code SHALL be '48767-8'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.58-2022-03-03T112450.html"
              test="string(@displayName) = ('ANNOTATION COMMENT')">(XeHAnnotationComment): The value for displayName SHALL be 'ANNOTATION COMMENT'. Found: "<value-of select="@displayName"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.58-2022-03-03T112450.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(XeHAnnotationComment): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.58-2022-03-03T112450.html"
              test="string(@codeSystemName) = ('LOINC')">(XeHAnnotationComment): The value for codeSystemName SHALL be 'LOINC'. Found: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.58-2022-03-03T112450.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(XeHAnnotationComment): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.58-2022-03-03T112450.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(XeHAnnotationComment): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.58
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']]/hl7:title
Item: (XeHAnnotationComment)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']]/hl7:title"
         id="d42e36992-false-d400728e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.58-2022-03-03T112450.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(XeHAnnotationComment): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.58
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']]/hl7:text[not(@nullFlavor)]
Item: (XeHAnnotationComment)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']]/hl7:text[not(@nullFlavor)]"
         id="d42e36994-false-d400738e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.58-2022-03-03T112450.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(XeHAnnotationComment): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.58
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.58']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.20.1.40'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.2']]]
Item: (XeHAnnotationComment)
--></pattern>
